All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
uhd::exception Struct Referenceabstract

`#include <exception.hpp>`

Inheritance diagram for uhd::exception:

## Public Member Functions

| exception (const std::string &what)
virtual unsigned | code (void) const =0
virtual exception | dynamic_clone (void) const =0
virtual void | dynamic_throw (void) const =0

## Constructor & Destructor Documentation

uhd::exception::exception | ( | const std::string & | what | ) |

## Member Function Documentation

virtual unsigned uhd::exception::code | ( | void |  | ) | const

pure virtual

Implemented in uhd::system_error, uhd::os_error, uhd::io_error, uhd::environment_error, uhd::not_implemented_error, uhd::runtime_error, uhd::value_error, uhd::type_error, uhd::key_error, uhd::index_error, uhd::lookup_error, and uhd::assertion_error.

virtual exception uhd::exception::dynamic_clone | ( | void |  | ) | const

finalpure virtual

Implemented in uhd::system_error, uhd::os_error, uhd::io_error, uhd::environment_error, uhd::not_implemented_error, uhd::runtime_error, uhd::value_error, uhd::type_error, uhd::key_error, uhd::index_error, uhd::lookup_error, and uhd::assertion_error.

virtual void uhd::exception::dynamic_throw | ( | void |  | ) | const

pure virtual

Implemented in uhd::system_error, uhd::os_error, uhd::io_error, uhd::environment_error, uhd::not_implemented_error, uhd::runtime_error, uhd::value_error, uhd::type_error, uhd::key_error, uhd::index_error, uhd::lookup_error, and uhd::assertion_error.

The documentation for this struct was generated from the following file:

- include/uhd/exception.hpp